---
title: Alumni Survey
product: PDF Generator
description: Download a printable alumni survey form in PDF. Generate editable or prefilled alumni feedback questionnaires using SurveyJS PDF Generator.
framework: Vanilla JS
source: https://surveyjs.io/pdf-generator/examples/pdf-education-alumni-survey-template/vanillajs
index: https://surveyjs.io/pdf-generator/examples/overview.md
---

# Alumni Survey (Vanilla JS)

## Files

### `public/index.html`

```html
<div style="display: flex;">
    <div id="surveyElement" style="flex: 1 1 0%; height: 100%; min-width: 0;"></div>
    <div id="pdf-preview" style="flex: 0.7 0.7 0%; display: none">
        <embed id="pdf-preview-frame" type="application/pdf" style="width:100%; height:100%;" />
    </div>
</div>
```

### `src/index.css`

```css
/* You can add your custom CSS here. */
```

### `src/index.js`

```js
import { Model } from "survey-core";
import "survey-js-ui";
import { SurveyPDF } from "survey-pdf";
import "survey-core/survey-core.min.css";
import "./index.css";
import { json } from "./json";

function createSurveyPdfModel (surveyModel) {
    const surveyPDF = new SurveyPDF(json);
    if (surveyModel) {
        surveyPDF.data = surveyModel.data;
        surveyPDF.locale = surveyModel.locale;
        
        
    }
    
    return surveyPDF;
}
function saveSurveyToPdf (filename, surveyModel) {
    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.save(filename);
}

const previewDiv = document.getElementById("pdf-preview");
const previewEmbed = document.getElementById("pdf-preview-frame");
let pdfBlobUrl;

function showPdfPreview(surveyModel) {
    if (!previewDiv || !previewEmbed) return;

    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.raw("blob").then((blob) => {
        if (pdfBlobUrl) {
            URL.revokeObjectURL(pdfBlobUrl);
        }
        pdfBlobUrl = URL.createObjectURL(blob);
        previewEmbed.setAttribute("src", pdfBlobUrl);
        previewDiv.style.display = "block";
    });
}

function previewPdf(surveyModel) {
    if (!previewDiv) return;

    if (previewDiv.style.display !== "none") {
        previewDiv.style.display = "none";
        return;
    }

    showPdfPreview(surveyModel);
}

const survey = new Model(json);
survey.showCompleteButton = false;
survey.navigationButtonsLocation = "topBottom";
survey.addNavigationItem({
    id: "survey_save_as_file",
    title: "Download PDF",
    action: () => {
        saveSurveyToPdf("surveyResult.pdf", survey);
    }
});
survey.addNavigationItem({
    id: "survey_pdf_preview",
    title: "Preview PDF",
    visible: window.navigator.pdfViewerEnabled,
    action: () => {
        previewPdf(survey);
    }
});
survey.render(document.getElementById("surveyElement"));
```

### `src/json.js`

```js
export const json = {
  "title": "Alumni Survey",
  "pages": [
    {
      "name": "intro-page",
      "title": "Introduction",
      "elements": [
        {
          "type": "panel",
          "name": "intro-panel",
          "elements": [
            {
              "type": "html",
              "name": "introduction",
              "html": "<p><strong>Thank you for participating in the Alumni Survey.</strong></p><p>This survey collects information about your education and career since graduating from our university and gives you an opportunity to evaluate your undergraduate experience several years after completing the program.</p><p>Your responses are important. They will help us improve the undergraduate experience for future students.</p><p>If you have questions about the survey, please contact alumni_survey@example.edu. Thank you for your participation.</p><p>Participation is voluntary. You may answer as many or as few questions as you wish. All responses will remain confidential and will only be reported in aggregated form.</p>"
            }
          ]
        }
      ]
    },
    {
      "name": "demographics",
      "title": "Demographics",
      "elements": [
        {
          "type": "checkbox",
          "name": "plans",
          "title": "Which plan or plans did you complete in the program? Select up to two.",
          "choices": [
            {
              "value": "biology",
              "text": "Biology"
            },
            {
              "value": "chemistry",
              "text": "Chemistry"
            },
            {
              "value": "physics",
              "text": "Physics"
            },
            {
              "value": "math",
              "text": "Mathematics"
            }
          ],
          "maxSelectedChoices": 2,
          "minSelectedChoices": 1,
          "colCount": 2
        },
        {
          "type": "text",
          "name": "graduation",
          "title": "In which year did you complete your undergraduate program?",
          "isRequired": true,
          "inputType": "number",
          "min": 1900,
          "maxValueExpression": "year()"
        },
        {
          "type": "text",
          "name": "age",
          "title": "How old are you?",
          "isRequired": true,
          "startWithNewLine": false,
          "inputType": "number",
          "min": 18,
          "max": 100
        },
        {
          "type": "radiogroup",
          "name": "gender",
          "title": "Which gender do you most identify with?",
          "choices": [
            "Female",
            "Male",
            "Transgender",
            "Prefer not to say"
          ],
          "showOtherItem": true,
          "otherText": "Other",
          "colCount": 2
        },
        {
          "type": "radiogroup",
          "name": "employment",
          "title": "What is your current employment status?",
          "choices": [
            "Employed full time",
            "Employed part time",
            "Unemployed and looking for work",
            "Student",
            "Not in the labor force"
          ],
          "colCount": 2
        },
        {
          "type": "radiogroup",
          "name": "frequency",
          "title": "How often do you engage in volunteer work?",
          "choices": [
            "About weekly",
            "About monthly",
            "A few times a year",
            "Never"
          ],
          "colCount": 2
        }
      ]
    },
    {
      "name": "decision-points",
      "title": "Decision Points",
      "elements": [
        {
          "type": "radiogroup",
          "name": "when-decided",
          "title": "At what point in your university career did you decide to enroll in the program?",
          "choices": [
            "Before attending university",
            "During 1st year",
            "During 2nd year",
            "During 3rd year",
            "During 4th year or later"
          ],
          "colCount": 2
        },
        {
          "type": "comment",
          "name": "why-enroll",
          "title": "Why did you choose to enroll in this program at our university? Please provide your main reasons.",
          "maxLength": 300
        }
      ]
    },
    {
      "name": "curriculum",
      "title": "Curriculum",
      "elements": [
        {
          "type": "matrix",
          "name": "statements",
          "title": "Indicate how much you agree or disagree with the following statements about the program.",
          "alternateRows": true,
          "rowTitleWidth": "150px",
          "columns": [
            {
              "value": "s-disagree",
              "text": "Strongly disagree"
            },
            {
              "value": "disagree",
              "text": "Disagree"
            },
            {
              "value": "neither-nor",
              "text": "Neither agree nor disagree"
            },
            {
              "value": "agree",
              "text": "Agree"
            },
            {
              "value": "s-agree",
              "text": "Strongly agree"
            },
            {
              "value": "na",
              "text": "Not applicable"
            }
          ],
          "rows": [
            {
              "value": "influence",
              "text": "I had opportunities to influence the design of my program."
            },
            {
              "value": "worthwhile",
              "text": "Overall, the required courses were worthwhile."
            },
            {
              "value": "satisfied",
              "text": "I was satisfied with the content of the required courses."
            },
            {
              "value": "availability",
              "text": "I was satisfied with the availability of electives in the program."
            },
            {
              "value": "opportunity",
              "text": "I had adequate opportunities to take electives outside the program."
            },
            {
              "value": "number",
              "text": "The number of courses in the program was appropriate."
            },
            {
              "value": "mode",
              "text": "I was satisfied with the mode of course delivery, for example face to face or online."
            },
            {
              "value": "variety",
              "text": "The program offered a good variety of courses."
            }
          ]
        },
        {
          "type": "checkbox",
          "name": "barriers",
          "title": "Did you experience barriers when registering for the courses required to complete your program? Select all that apply.",
          "choices": [
            "Course scheduling conflicts",
            "Enrollment limits",
            "Courses offered too infrequently",
            "No barriers to registration"
          ],
          "showOtherItem": true,
          "otherText": "Other",
          "colCount": 2
        },
        {
          "type": "radiogroup",
          "name": "remove",
          "title": "Do you think any courses should be added to or removed from the curriculum?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "comment",
          "name": "what-to-remove",
          "title": "If yes, which courses should be added or removed from the curriculum?",
          "description": "Explain your suggestions. If none, you may leave this blank.",
          "rows": 2
        },
        {
          "type": "comment",
          "name": "learning-experience",
          "title": "Describe one learning experience in the program that had a particularly positive impact on you."
        }
      ]
    },
    {
      "name": "graduate-page",
      "title": "Graduate School",
      "elements": [
        {
          "type": "radiogroup",
          "name": "professional-school",
          "title": "Did you attend graduate or professional school after graduation?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "text",
          "name": "degree",
          "title": "If yes, specify the degree or area of study you pursued in graduate or professional school.",
          "description": "Leave blank if not applicable."
        },
        {
          "type": "radiogroup",
          "name": "another-program",
          "title": "Did you enroll in another undergraduate program after graduation?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "text",
          "name": "area",
          "title": "If yes, specify the degree or area of study you pursued in another undergraduate program.",
          "description": "Leave blank if not applicable."
        }
      ]
    }
  ],
  "autoGrowComment": true,
  "questionsOnPageMode": "singlePage",
  "checkErrorsMode": "onValueChanged",
  "headerView": "advanced"
};
```

### `src/theme.js`

```js
export const themeJson = {};
```

### `package.json`

```json
{
  "dependencies": {
    "survey-core": "latest",
    "survey-js-ui": "latest",
    "survey-pdf": "latest"
  }
}
```

## Other Frameworks

- [Angular](https://surveyjs.io/pdf-generator/examples/pdf-education-alumni-survey-template/angular.md)
- [React](https://surveyjs.io/pdf-generator/examples/pdf-education-alumni-survey-template/reactjs.md)
- [Vue 3](https://surveyjs.io/pdf-generator/examples/pdf-education-alumni-survey-template/vue3js.md)
- [jQuery](https://surveyjs.io/pdf-generator/examples/pdf-education-alumni-survey-template/jquery.md)


---
title: Alumni Survey
product: PDF Generator
description: Download a printable alumni survey form in PDF. Generate editable or prefilled alumni feedback questionnaires using SurveyJS PDF Generator.
framework: Angular
source: https://surveyjs.io/pdf-generator/examples/pdf-education-alumni-survey-template/angular
index: https://surveyjs.io/pdf-generator/examples/overview.md
---

# Alumni Survey (Angular)

## Files

### `src/app/components/json.ts`

```ts
export const json = {
  "title": "Alumni Survey",
  "pages": [
    {
      "name": "intro-page",
      "title": "Introduction",
      "elements": [
        {
          "type": "panel",
          "name": "intro-panel",
          "elements": [
            {
              "type": "html",
              "name": "introduction",
              "html": "<p><strong>Thank you for participating in the Alumni Survey.</strong></p><p>This survey collects information about your education and career since graduating from our university and gives you an opportunity to evaluate your undergraduate experience several years after completing the program.</p><p>Your responses are important. They will help us improve the undergraduate experience for future students.</p><p>If you have questions about the survey, please contact alumni_survey@example.edu. Thank you for your participation.</p><p>Participation is voluntary. You may answer as many or as few questions as you wish. All responses will remain confidential and will only be reported in aggregated form.</p>"
            }
          ]
        }
      ]
    },
    {
      "name": "demographics",
      "title": "Demographics",
      "elements": [
        {
          "type": "checkbox",
          "name": "plans",
          "title": "Which plan or plans did you complete in the program? Select up to two.",
          "choices": [
            {
              "value": "biology",
              "text": "Biology"
            },
            {
              "value": "chemistry",
              "text": "Chemistry"
            },
            {
              "value": "physics",
              "text": "Physics"
            },
            {
              "value": "math",
              "text": "Mathematics"
            }
          ],
          "maxSelectedChoices": 2,
          "minSelectedChoices": 1,
          "colCount": 2
        },
        {
          "type": "text",
          "name": "graduation",
          "title": "In which year did you complete your undergraduate program?",
          "isRequired": true,
          "inputType": "number",
          "min": 1900,
          "maxValueExpression": "year()"
        },
        {
          "type": "text",
          "name": "age",
          "title": "How old are you?",
          "isRequired": true,
          "startWithNewLine": false,
          "inputType": "number",
          "min": 18,
          "max": 100
        },
        {
          "type": "radiogroup",
          "name": "gender",
          "title": "Which gender do you most identify with?",
          "choices": [
            "Female",
            "Male",
            "Transgender",
            "Prefer not to say"
          ],
          "showOtherItem": true,
          "otherText": "Other",
          "colCount": 2
        },
        {
          "type": "radiogroup",
          "name": "employment",
          "title": "What is your current employment status?",
          "choices": [
            "Employed full time",
            "Employed part time",
            "Unemployed and looking for work",
            "Student",
            "Not in the labor force"
          ],
          "colCount": 2
        },
        {
          "type": "radiogroup",
          "name": "frequency",
          "title": "How often do you engage in volunteer work?",
          "choices": [
            "About weekly",
            "About monthly",
            "A few times a year",
            "Never"
          ],
          "colCount": 2
        }
      ]
    },
    {
      "name": "decision-points",
      "title": "Decision Points",
      "elements": [
        {
          "type": "radiogroup",
          "name": "when-decided",
          "title": "At what point in your university career did you decide to enroll in the program?",
          "choices": [
            "Before attending university",
            "During 1st year",
            "During 2nd year",
            "During 3rd year",
            "During 4th year or later"
          ],
          "colCount": 2
        },
        {
          "type": "comment",
          "name": "why-enroll",
          "title": "Why did you choose to enroll in this program at our university? Please provide your main reasons.",
          "maxLength": 300
        }
      ]
    },
    {
      "name": "curriculum",
      "title": "Curriculum",
      "elements": [
        {
          "type": "matrix",
          "name": "statements",
          "title": "Indicate how much you agree or disagree with the following statements about the program.",
          "alternateRows": true,
          "rowTitleWidth": "150px",
          "columns": [
            {
              "value": "s-disagree",
              "text": "Strongly disagree"
            },
            {
              "value": "disagree",
              "text": "Disagree"
            },
            {
              "value": "neither-nor",
              "text": "Neither agree nor disagree"
            },
            {
              "value": "agree",
              "text": "Agree"
            },
            {
              "value": "s-agree",
              "text": "Strongly agree"
            },
            {
              "value": "na",
              "text": "Not applicable"
            }
          ],
          "rows": [
            {
              "value": "influence",
              "text": "I had opportunities to influence the design of my program."
            },
            {
              "value": "worthwhile",
              "text": "Overall, the required courses were worthwhile."
            },
            {
              "value": "satisfied",
              "text": "I was satisfied with the content of the required courses."
            },
            {
              "value": "availability",
              "text": "I was satisfied with the availability of electives in the program."
            },
            {
              "value": "opportunity",
              "text": "I had adequate opportunities to take electives outside the program."
            },
            {
              "value": "number",
              "text": "The number of courses in the program was appropriate."
            },
            {
              "value": "mode",
              "text": "I was satisfied with the mode of course delivery, for example face to face or online."
            },
            {
              "value": "variety",
              "text": "The program offered a good variety of courses."
            }
          ]
        },
        {
          "type": "checkbox",
          "name": "barriers",
          "title": "Did you experience barriers when registering for the courses required to complete your program? Select all that apply.",
          "choices": [
            "Course scheduling conflicts",
            "Enrollment limits",
            "Courses offered too infrequently",
            "No barriers to registration"
          ],
          "showOtherItem": true,
          "otherText": "Other",
          "colCount": 2
        },
        {
          "type": "radiogroup",
          "name": "remove",
          "title": "Do you think any courses should be added to or removed from the curriculum?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "comment",
          "name": "what-to-remove",
          "title": "If yes, which courses should be added or removed from the curriculum?",
          "description": "Explain your suggestions. If none, you may leave this blank.",
          "rows": 2
        },
        {
          "type": "comment",
          "name": "learning-experience",
          "title": "Describe one learning experience in the program that had a particularly positive impact on you."
        }
      ]
    },
    {
      "name": "graduate-page",
      "title": "Graduate School",
      "elements": [
        {
          "type": "radiogroup",
          "name": "professional-school",
          "title": "Did you attend graduate or professional school after graduation?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "text",
          "name": "degree",
          "title": "If yes, specify the degree or area of study you pursued in graduate or professional school.",
          "description": "Leave blank if not applicable."
        },
        {
          "type": "radiogroup",
          "name": "another-program",
          "title": "Did you enroll in another undergraduate program after graduation?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "text",
          "name": "area",
          "title": "If yes, specify the degree or area of study you pursued in another undergraduate program.",
          "description": "Leave blank if not applicable."
        }
      ]
    }
  ],
  "autoGrowComment": true,
  "questionsOnPageMode": "singlePage",
  "checkErrorsMode": "onValueChanged",
  "headerView": "advanced"
};
```

### `src/app/components/pdf.component.css`

```css
/* You can add your custom CSS here. */
```

### `src/app/components/pdf.component.html`

```html
<survey [model]="model"></survey>
```

### `src/app/components/pdf.component.ts`

```ts
import { Component, OnInit } from "@angular/core";
import { Model } from "survey-core";
import { SurveyPDF } from "survey-pdf";
import { json } from "./json";
import "./pdf.component.css";
import "survey-core/survey-core.min.css";

function createSurveyPdfModel (surveyModel) {
    const surveyPDF = new SurveyPDF(json);
    if (surveyModel) {
        surveyPDF.data = surveyModel.data;
        surveyPDF.locale = surveyModel.locale;
        
        
    }
    
    return surveyPDF;
}
function saveSurveyToPdf (filename, surveyModel) {
    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.save(filename);
}

const previewDiv = document.getElementById("pdf-preview");
const previewEmbed = document.getElementById("pdf-preview-frame");
let pdfBlobUrl;

function showPdfPreview(surveyModel) {
    if (!previewDiv || !previewEmbed) return;

    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.raw("blob").then((blob) => {
        if (pdfBlobUrl) {
            URL.revokeObjectURL(pdfBlobUrl);
        }
        pdfBlobUrl = URL.createObjectURL(blob);
        previewEmbed.setAttribute("src", pdfBlobUrl);
        previewDiv.style.display = "block";
    });
}

function previewPdf(surveyModel) {
    if (!previewDiv) return;

    if (previewDiv.style.display !== "none") {
        previewDiv.style.display = "none";
        return;
    }

    showPdfPreview(surveyModel);
}

@Component({
    // tslint:disable-next-line:component-selector
    selector: "component-survey",
    templateUrl: "./pdf.component.html",
    styleUrls: ["./pdf.component.css"]
})
export class SurveyPdfComponent implements OnInit {
    model: Model;
    ngOnInit() {
        const survey = new Model(json);
        survey.showCompleteButton = false;
        survey.navigationButtonsLocation = "topBottom";
        survey.addNavigationItem({
            id: "survey_save_as_file",
            title: "Download PDF",
            action: () => {
                saveSurveyToPdf("surveyResult.pdf", survey);
            }
        });
        survey.addNavigationItem({
            id: "survey_pdf_preview",
            title: "Preview PDF",
            visible: window.navigator.pdfViewerEnabled,
            action: () => {
                previewPdf(survey);
            }
        });
        this.model = survey;
    }
}
```

### `src/app/components/theme.ts`

```ts
export const themeJson = {};
```

### `src/app/app.component.css`

```css

```

### `src/app/app.component.html`

```html
<component-survey></component-survey>
```

### `src/app/app.component.ts`

```ts
import { Component } from "@angular/core";

@Component({
    selector: "app-root",
    templateUrl: "./app.component.html",
    styleUrls: ["./app.component.css"]
})
export class AppComponent {
    title = "CodeSandbox";
}
```

### `src/app/app.module.ts`

```ts
import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";

import { AppComponent } from "./app.component";
import { SurveyModule } from "survey-angular-ui";
import { SurveyPdfComponent } from "./components/pdf.component";

@NgModule({
    declarations: [AppComponent, SurveyPdfComponent],
    imports: [BrowserModule, SurveyModule],
    providers: [],
    bootstrap: [AppComponent]
})
export class AppModule { }
```

### `src/environments/environment.prod.ts`

```ts
export const environment = {
    production: true
};
```

### `src/environments/environment.ts`

```ts
// The file contents for the current environment will overwrite these during build.
// The build system defaults to the dev environment which uses `environment.ts`, but if you do
// `ng build --env=prod` then `environment.prod.ts` will be used instead.
// The list of which env maps to which file can be found in `.angular-cli.json`.

export const environment = {
    production: false
};
```

### `src/index.html`

```html
<div style="display: flex;">
    <div id="surveyElement" style="flex: 1 1 0%; height: 100%; min-width: 0;">
        <app-root></app-root>
    </div>
    <div id="pdf-preview" style="flex: 0.7 0.7 0%; display: none">
        <embed id="pdf-preview-frame" type="application/pdf" style="width:100%; height:100%;" />
    </div>
</div>
```

### `src/main.ts`

```ts
import { enableProdMode } from "@angular/core";
import { platformBrowserDynamic } from "@angular/platform-browser-dynamic";

import { AppModule } from "./app/app.module";
import { environment } from "./environments/environment";

if (environment.production) {
    enableProdMode();
}

platformBrowserDynamic()
    .bootstrapModule(AppModule)
    .catch(err => console.log(err));
```

### `src/polyfills.ts`

```ts
/**
 * This file includes polyfills needed by Angular and is loaded before the app.
 * You can add your own extra polyfills to this file.
 *
 * This file is divided into 2 sections:
 *   1. Browser polyfills. These are applied before loading ZoneJS and are sorted by browsers.
 *   2. Application imports. Files imported after ZoneJS that should be loaded before your main
 *      file.
 *
 * The current setup is for so-called "evergreen" browsers; the last versions of browsers that
 * automatically update themselves. This includes Safari >= 10, Chrome >= 55 (including Opera),
 * Edge >= 13 on the desktop, and iOS 10 and Chrome on mobile.
 *
 * Learn more in https://angular.io/docs/ts/latest/guide/browser-support.html
 */

/***************************************************************************************************
 * BROWSER POLYFILLS
 */

/** IE9, IE10 and IE11 requires all of the following polyfills. **/
// import 'core-js/es6/symbol';
// import 'core-js/es6/object';
// import 'core-js/es6/function';
// import 'core-js/es6/parse-int';
// import 'core-js/es6/parse-float';
// import 'core-js/es6/number';
// import 'core-js/es6/math';
// import 'core-js/es6/string';
// import 'core-js/es6/date';
// import 'core-js/es6/array';
// import 'core-js/es6/regexp';
// import 'core-js/es6/map';
// import 'core-js/es6/weak-map';
// import 'core-js/es6/set';

/** IE10 and IE11 requires the following for NgClass support on SVG elements */
// import 'classlist.js';  // Run `npm install classlist.js`.

/** IE10 and IE11 requires the following for the Reflect API. */
// import 'core-js/es6/reflect';

/** Evergreen browsers require these. **/
// Used for reflect-metadata in JIT. If you use AOT (and only Angular decorators), you can remove.
import "core-js/proposals/reflect-metadata";

/**
 * Required to support Web Animations `@angular/platform-browser/animations`.
 * Needed for: All but Chrome, Firefox and Opera. http://caniuse.com/#feat=web-animation
 **/
// import 'web-animations-js';  // Run `npm install web-animations-js`.

/***************************************************************************************************
 * Zone JS is required by default for Angular itself.
 */
import "zone.js/dist/zone"; // Included with Angular CLI.

/***************************************************************************************************
 * APPLICATION IMPORTS
 */
```

### `src/styles.css`

```css

```

### `src/typings.d.ts`

```ts
/* SystemJS module definition */
declare var module: NodeModule;
interface NodeModule {
    id: string;
}
```

### `.angular-cli.json`

```json
{
  "apps": [
    {
      "root": "src",
      "outDir": "dist",
      "assets": [ "assets", "favicon.ico" ],
      "index": "index.html",
      "main": "main.ts",
      "polyfills": "polyfills.ts",
      "prefix": "app",
      "styles": [ "styles.css" ],
      "scripts": [ ],
      "environmentSource": "environments/environment.ts",
      "environments": {
        "dev": "environments/environment.ts",
        "prod": "environments/environment.prod.ts"
      }
    }
  ]
}
```

### `_tsconfig.json`

```json
{
  "compileOnSave": false,
  "compilerOptions": {
    "baseUrl": "./",
    "outDir": "./dist/out-tsc",
    "sourceMap": true,
    "declaration": false,
    "allowSyntheticDefaultImports": true,
    "downlevelIteration": true,
    "experimentalDecorators": true,
    "moduleResolution": "node",
    "importHelpers": true,
    "resolveJsonModule": true,
    "target": "es2015",
    "module": "es2020",
    "lib": [
      "es2018",
      "dom"
    ]
  }
}
```

### `package.json`

```json
{
  "name": "surveyjs-angular",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build --prod",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "14.1.1",
    "@angular/cdk": "14.1.1",
    "@angular/common": "14.1.1",
    "@angular/compiler": "14.1.1",
    "@angular/core": "14.1.1",
    "@angular/forms": "14.1.1",
    "@angular/platform-browser": "14.1.1",
    "@angular/platform-browser-dynamic": "14.1.1",
    "@angular/router": "14.1.1",
    "core-js": "3.6.4",
    "rxjs": "6.5.4",
    "survey-core": "latest",
    "survey-angular-ui": "latest",
    "survey-pdf": "latest",
    "tslib": "1.13.0",
    "zone.js": "0.11.7"
  },
  "devDependencies": {
    "@angular/cli": "1.6.6",
    "@angular/compiler-cli": "^5.2.0",
    "@angular/language-service": "^5.2.0",
    "@types/core-js": "0.9.46",
    "@types/jasmine": "~2.8.3",
    "@types/jasminewd2": "~2.0.2",
    "@types/node": "~6.0.60",
    "codelyzer": "^4.0.1",
    "jasmine-core": "~2.8.0",
    "jasmine-spec-reporter": "~4.2.1",
    "karma": "~2.0.0",
    "karma-chrome-launcher": "~2.2.0",
    "karma-coverage-istanbul-reporter": "^1.2.1",
    "karma-jasmine": "~1.1.0",
    "karma-jasmine-html-reporter": "^0.2.2",
    "protractor": "~5.1.2",
    "ts-node": "~4.1.0",
    "tslint": "~5.9.1",
    "typescript": "3.9.7"
  },
  "keywords": [ "angular", "surveyjs" ],
  "description": "SurveyJS-Angular example project"
}
```

## Other Frameworks

- [React](https://surveyjs.io/pdf-generator/examples/pdf-education-alumni-survey-template/reactjs.md)
- [Vue 3](https://surveyjs.io/pdf-generator/examples/pdf-education-alumni-survey-template/vue3js.md)
- [jQuery](https://surveyjs.io/pdf-generator/examples/pdf-education-alumni-survey-template/jquery.md)
- [Vanilla JS](https://surveyjs.io/pdf-generator/examples/pdf-education-alumni-survey-template/vanillajs.md)


---
title: Alumni Survey
product: PDF Generator
description: Download a printable alumni survey form in PDF. Generate editable or prefilled alumni feedback questionnaires using SurveyJS PDF Generator.
framework: React
source: https://surveyjs.io/pdf-generator/examples/pdf-education-alumni-survey-template/reactjs
index: https://surveyjs.io/pdf-generator/examples/overview.md
---

# Alumni Survey (React)

## Files

### `public/index.html`

```html
<div style="display: flex;">
    <div id="surveyElement" style="flex: 1 1 0%; height: 100%; min-width: 0;"></div>
    <div id="pdf-preview" style="flex: 0.7 0.7 0%; display: none">
        <embed id="pdf-preview-frame" type="application/pdf" style="width:100%; height:100%;" />
    </div>
</div>
```

### `src/SurveyPdfComponent.jsx`

```js
import React from "react";
import { Model } from "survey-core";
import { SurveyPDF } from "survey-pdf";
import { Survey } from "survey-react-ui";
import "survey-core/survey-core.min.css";
import "./index.css";
import { json } from "./json";

function createSurveyPdfModel (surveyModel) {
    const surveyPDF = new SurveyPDF(json);
    if (surveyModel) {
        surveyPDF.data = surveyModel.data;
        surveyPDF.locale = surveyModel.locale;
        
        
    }
    
    return surveyPDF;
}
function saveSurveyToPdf (filename, surveyModel) {
    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.save(filename);
}

const previewDiv = document.getElementById("pdf-preview");
const previewEmbed = document.getElementById("pdf-preview-frame");
let pdfBlobUrl;

function showPdfPreview(surveyModel) {
    if (!previewDiv || !previewEmbed) return;

    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.raw("blob").then((blob) => {
        if (pdfBlobUrl) {
            URL.revokeObjectURL(pdfBlobUrl);
        }
        pdfBlobUrl = URL.createObjectURL(blob);
        previewEmbed.setAttribute("src", pdfBlobUrl);
        previewDiv.style.display = "block";
    });
}

function previewPdf(surveyModel) {
    if (!previewDiv) return;

    if (previewDiv.style.display !== "none") {
        previewDiv.style.display = "none";
        return;
    }

    showPdfPreview(surveyModel);
}

function SurveyPdfComponent () {
    const survey = new Model(json);
    survey.showCompleteButton = false;
    survey.navigationButtonsLocation = "topBottom";
    survey.addNavigationItem({
        id: "survey_save_as_file",
        title: "Download PDF",
        action: () => {
            saveSurveyToPdf("surveyResult.pdf", survey);
        }
    });
    survey.addNavigationItem({
        id: "survey_pdf_preview",
        title: "Preview PDF",
        visible: window.navigator.pdfViewerEnabled,
        action: () => {
            previewPdf(survey);
        }
    });
    return (<Survey model={survey} />);
}

export default SurveyPdfComponent;
```

### `src/index.css`

```css
/* You can add your custom CSS here. */
```

### `src/index.js`

```js
import React from "react";
import { createRoot } from "react-dom/client";
import SurveyPdfComponent from "./SurveyPdfComponent";

const root = createRoot(document.getElementById("surveyElement"));
root.render(<SurveyPdfComponent />);
```

### `src/json.js`

```js
export const json = {
  "title": "Alumni Survey",
  "pages": [
    {
      "name": "intro-page",
      "title": "Introduction",
      "elements": [
        {
          "type": "panel",
          "name": "intro-panel",
          "elements": [
            {
              "type": "html",
              "name": "introduction",
              "html": "<p><strong>Thank you for participating in the Alumni Survey.</strong></p><p>This survey collects information about your education and career since graduating from our university and gives you an opportunity to evaluate your undergraduate experience several years after completing the program.</p><p>Your responses are important. They will help us improve the undergraduate experience for future students.</p><p>If you have questions about the survey, please contact alumni_survey@example.edu. Thank you for your participation.</p><p>Participation is voluntary. You may answer as many or as few questions as you wish. All responses will remain confidential and will only be reported in aggregated form.</p>"
            }
          ]
        }
      ]
    },
    {
      "name": "demographics",
      "title": "Demographics",
      "elements": [
        {
          "type": "checkbox",
          "name": "plans",
          "title": "Which plan or plans did you complete in the program? Select up to two.",
          "choices": [
            {
              "value": "biology",
              "text": "Biology"
            },
            {
              "value": "chemistry",
              "text": "Chemistry"
            },
            {
              "value": "physics",
              "text": "Physics"
            },
            {
              "value": "math",
              "text": "Mathematics"
            }
          ],
          "maxSelectedChoices": 2,
          "minSelectedChoices": 1,
          "colCount": 2
        },
        {
          "type": "text",
          "name": "graduation",
          "title": "In which year did you complete your undergraduate program?",
          "isRequired": true,
          "inputType": "number",
          "min": 1900,
          "maxValueExpression": "year()"
        },
        {
          "type": "text",
          "name": "age",
          "title": "How old are you?",
          "isRequired": true,
          "startWithNewLine": false,
          "inputType": "number",
          "min": 18,
          "max": 100
        },
        {
          "type": "radiogroup",
          "name": "gender",
          "title": "Which gender do you most identify with?",
          "choices": [
            "Female",
            "Male",
            "Transgender",
            "Prefer not to say"
          ],
          "showOtherItem": true,
          "otherText": "Other",
          "colCount": 2
        },
        {
          "type": "radiogroup",
          "name": "employment",
          "title": "What is your current employment status?",
          "choices": [
            "Employed full time",
            "Employed part time",
            "Unemployed and looking for work",
            "Student",
            "Not in the labor force"
          ],
          "colCount": 2
        },
        {
          "type": "radiogroup",
          "name": "frequency",
          "title": "How often do you engage in volunteer work?",
          "choices": [
            "About weekly",
            "About monthly",
            "A few times a year",
            "Never"
          ],
          "colCount": 2
        }
      ]
    },
    {
      "name": "decision-points",
      "title": "Decision Points",
      "elements": [
        {
          "type": "radiogroup",
          "name": "when-decided",
          "title": "At what point in your university career did you decide to enroll in the program?",
          "choices": [
            "Before attending university",
            "During 1st year",
            "During 2nd year",
            "During 3rd year",
            "During 4th year or later"
          ],
          "colCount": 2
        },
        {
          "type": "comment",
          "name": "why-enroll",
          "title": "Why did you choose to enroll in this program at our university? Please provide your main reasons.",
          "maxLength": 300
        }
      ]
    },
    {
      "name": "curriculum",
      "title": "Curriculum",
      "elements": [
        {
          "type": "matrix",
          "name": "statements",
          "title": "Indicate how much you agree or disagree with the following statements about the program.",
          "alternateRows": true,
          "rowTitleWidth": "150px",
          "columns": [
            {
              "value": "s-disagree",
              "text": "Strongly disagree"
            },
            {
              "value": "disagree",
              "text": "Disagree"
            },
            {
              "value": "neither-nor",
              "text": "Neither agree nor disagree"
            },
            {
              "value": "agree",
              "text": "Agree"
            },
            {
              "value": "s-agree",
              "text": "Strongly agree"
            },
            {
              "value": "na",
              "text": "Not applicable"
            }
          ],
          "rows": [
            {
              "value": "influence",
              "text": "I had opportunities to influence the design of my program."
            },
            {
              "value": "worthwhile",
              "text": "Overall, the required courses were worthwhile."
            },
            {
              "value": "satisfied",
              "text": "I was satisfied with the content of the required courses."
            },
            {
              "value": "availability",
              "text": "I was satisfied with the availability of electives in the program."
            },
            {
              "value": "opportunity",
              "text": "I had adequate opportunities to take electives outside the program."
            },
            {
              "value": "number",
              "text": "The number of courses in the program was appropriate."
            },
            {
              "value": "mode",
              "text": "I was satisfied with the mode of course delivery, for example face to face or online."
            },
            {
              "value": "variety",
              "text": "The program offered a good variety of courses."
            }
          ]
        },
        {
          "type": "checkbox",
          "name": "barriers",
          "title": "Did you experience barriers when registering for the courses required to complete your program? Select all that apply.",
          "choices": [
            "Course scheduling conflicts",
            "Enrollment limits",
            "Courses offered too infrequently",
            "No barriers to registration"
          ],
          "showOtherItem": true,
          "otherText": "Other",
          "colCount": 2
        },
        {
          "type": "radiogroup",
          "name": "remove",
          "title": "Do you think any courses should be added to or removed from the curriculum?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "comment",
          "name": "what-to-remove",
          "title": "If yes, which courses should be added or removed from the curriculum?",
          "description": "Explain your suggestions. If none, you may leave this blank.",
          "rows": 2
        },
        {
          "type": "comment",
          "name": "learning-experience",
          "title": "Describe one learning experience in the program that had a particularly positive impact on you."
        }
      ]
    },
    {
      "name": "graduate-page",
      "title": "Graduate School",
      "elements": [
        {
          "type": "radiogroup",
          "name": "professional-school",
          "title": "Did you attend graduate or professional school after graduation?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "text",
          "name": "degree",
          "title": "If yes, specify the degree or area of study you pursued in graduate or professional school.",
          "description": "Leave blank if not applicable."
        },
        {
          "type": "radiogroup",
          "name": "another-program",
          "title": "Did you enroll in another undergraduate program after graduation?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "text",
          "name": "area",
          "title": "If yes, specify the degree or area of study you pursued in another undergraduate program.",
          "description": "Leave blank if not applicable."
        }
      ]
    }
  ],
  "autoGrowComment": true,
  "questionsOnPageMode": "singlePage",
  "checkErrorsMode": "onValueChanged",
  "headerView": "advanced"
};
```

### `src/theme.js`

```js
export const themeJson = {};
```

### `package.json`

```json
{
  "dependencies": {
    "react": "latest",
    "react-dom": "latest",
    "survey-core": "latest",
    "survey-react-ui": "latest",
    "survey-pdf": "latest"
  },
  "devDependencies": {
    "react-scripts": "latest"
  }
}
```

## Other Frameworks

- [Angular](https://surveyjs.io/pdf-generator/examples/pdf-education-alumni-survey-template/angular.md)
- [Vue 3](https://surveyjs.io/pdf-generator/examples/pdf-education-alumni-survey-template/vue3js.md)
- [jQuery](https://surveyjs.io/pdf-generator/examples/pdf-education-alumni-survey-template/jquery.md)
- [Vanilla JS](https://surveyjs.io/pdf-generator/examples/pdf-education-alumni-survey-template/vanillajs.md)
